4.2.2.2. Определение окна

Источник здесь.[перевод не проверен];[перевёл Андрей Бушман]

    Минимальную площадь чертежа, необходимую для его полного отображения в окне документа, вы определяете с помощью опции Window команды ZOOM. После выполнения этой операции свойства Width (ширина) и Height (высота) текущего вида отрегулируются в соответствии с определённой по двум обозначенным точкам площадью. Свойство CenterPoint (центральная точка) так же будет изменено в соответствии с указанными точками.

Зуммирование области по двум указанным точкам

    Этот пример кода демонстрирует, как произвести зуммирование определенной области, используя процедуру Zoom, определенную под, Управлением Текущего вида. Процедуре Zoom передают координаты (1.3,7.8,0) и (13.7,-2.6,0) для первых двух параметров, для определения границ отображения.

    Никакой центральной точки не требуется, таким образом новый объект Point3d (3D-точка) передаётся в процедуру1. Последний параметр используется для масштабирования нового вида, которое может быть применено для создания промежутка между отображенной областью и краем окна чертежа.

Код VB.NET

   1:  <CommandMethod("ZoomWindow")> _
   2:  Public Sub ZoomWindow()
   3:   
   4:    '' Зуммирование границ окна по координатам 1.3,7.8 и 13.7,-2.6
   5:    Dim pMin As Point3d = New Point3d(1.3, 7.8, 0)
   6:    Dim pMax As Point3d = New Point3d(13.7, -2.6, 0)
   7:    Zoom(pMin, pMax, New Point3d(), 1)
   8:  End Sub

Код C#

   1:  [CommandMethod("ZoomWindow")]
   2:  static public void ZoomWindow()
   3:  {
   4:    // Зуммирование границ окна по координатам 1.3,7.8 и 13.7,-2.6
   5:    Point3d pMin = new Point3d(1.3, 7.8, 0);
   6:    Point3d pMax = new Point3d(13.7, -2.6, 0);
   7:    Zoom(pMin, pMax, new Point3d(), 1);
   8:  }

Код VBA / ActiveX

  1:  Sub ZoomWindow()
   2:      Dim point1(0 To 2) As Double
   3:      Dim point2(0 To 2) As Double
   4:      point1(0) = 1.3: point1(1) = 7.8: point1(2) = 0
   5:      point2(0) = 13.7: point2(1) = -2.6: point2(2) = 0 
   6:      ThisDrawing.Application.ZoomWindow point1, point2
   7:  End Sub

Примечания переводчика:
1 - этого фрагмента перевода я и сам не понял...

Comments